import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnRunningTarget } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-10-26 16:18
 */
interface CnRunningTargetCU extends ConditionUtil<CnRunningTargetCU> {
    ID: FieldUtil<CnRunningTargetCU>;
    DEPLOY_ID: FieldUtil<CnRunningTargetCU>;
    K8S_ID: FieldUtil<CnRunningTargetCU>;
    GATEWAY_ID: FieldUtil<CnRunningTargetCU>;
    GATEWAY_ADMIN_URL: FieldUtil<CnRunningTargetCU>;
    K8S_POD_ID: FieldUtil<CnRunningTargetCU>;
    POD_ID: FieldUtil<CnRunningTargetCU>;
    ENV_CODE: FieldUtil<CnRunningTargetCU>;
    IP: FieldUtil<CnRunningTargetCU>;
    PORT: FieldUtil<CnRunningTargetCU>;
    CLOUD_PROVIDER: FieldUtil<CnRunningTargetCU>;
    LAST_ACTIVE_TIME: FieldUtil<CnRunningTargetCU>;
    LAST_POLLING_TIME: FieldUtil<CnRunningTargetCU>;
    CREATE_TIME: FieldUtil<CnRunningTargetCU>;
    UPDATE_TIME: FieldUtil<CnRunningTargetCU>;
}
declare class CnRunningTargetMU extends TableUtilImpl<CnRunningTargetCU, CnRunningTarget> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnRunningTargetCU;
    static get ID(): FieldUtil<CnRunningTargetCU>;
    static get DEPLOY_ID(): FieldUtil<CnRunningTargetCU>;
    static get K8S_ID(): FieldUtil<CnRunningTargetCU>;
    static get GATEWAY_ID(): FieldUtil<CnRunningTargetCU>;
    static get GATEWAY_ADMIN_URL(): FieldUtil<CnRunningTargetCU>;
    static get K8S_POD_ID(): FieldUtil<CnRunningTargetCU>;
    static get POD_ID(): FieldUtil<CnRunningTargetCU>;
    static get ENV_CODE(): FieldUtil<CnRunningTargetCU>;
    static get IP(): FieldUtil<CnRunningTargetCU>;
    static get PORT(): FieldUtil<CnRunningTargetCU>;
    static get CLOUD_PROVIDER(): FieldUtil<CnRunningTargetCU>;
    static get LAST_ACTIVE_TIME(): FieldUtil<CnRunningTargetCU>;
    static get LAST_POLLING_TIME(): FieldUtil<CnRunningTargetCU>;
    static get CREATE_TIME(): FieldUtil<CnRunningTargetCU>;
    static get UPDATE_TIME(): FieldUtil<CnRunningTargetCU>;
    get ID(): FieldUtil<CnRunningTargetCU>;
    get DEPLOY_ID(): FieldUtil<CnRunningTargetCU>;
    get K8S_ID(): FieldUtil<CnRunningTargetCU>;
    get GATEWAY_ID(): FieldUtil<CnRunningTargetCU>;
    get GATEWAY_ADMIN_URL(): FieldUtil<CnRunningTargetCU>;
    get K8S_POD_ID(): FieldUtil<CnRunningTargetCU>;
    get POD_ID(): FieldUtil<CnRunningTargetCU>;
    get ENV_CODE(): FieldUtil<CnRunningTargetCU>;
    get IP(): FieldUtil<CnRunningTargetCU>;
    get PORT(): FieldUtil<CnRunningTargetCU>;
    get CLOUD_PROVIDER(): FieldUtil<CnRunningTargetCU>;
    get LAST_ACTIVE_TIME(): FieldUtil<CnRunningTargetCU>;
    get LAST_POLLING_TIME(): FieldUtil<CnRunningTargetCU>;
    get CREATE_TIME(): FieldUtil<CnRunningTargetCU>;
    get UPDATE_TIME(): FieldUtil<CnRunningTargetCU>;
}
export { CnRunningTargetMU, CnRunningTargetCU };
